Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter

  The main REPL related classes and values are as follows.

  The main REPL related classes and values are as follows. In addition to standard compiler classes Global and Settings, there are:

  History: an interface for session history. Completion: an interface for tab completion. ILoop (formerly InterpreterLoop): The umbrella class for a session. IMain (formerly Interpreter): Handles the evolving state of the session and handles submitting code to the compiler and handling the output. InteractiveReader: how ILoop obtains input. History: an interface for session history. Completion: an interface for tab completion. Power: a repository for more advanced/experimental features.

  ILoop contains { in: InteractiveReader, intp: IMain, settings: Settings, power: Power } InteractiveReader contains { history: History, completion: Completion } IMain contains { global: Global }

  Definition Classes
    nsc
-  class Power [ReplValsImpl <: ReplVals] extends AnyRef

  A class for methods to be injected into the intp in power mode.

  A class for methods to be injected into the intp in power mode.

  Definition Classes
    interpreter
- Implicits1
- Implicits2
- InternalInfo
- InternalInfoWrapper
- LowPriorityInternalInfo
- LowPriorityInternalInfoWrapper
- LowPriorityPrettifier
- MultiPrettifierClass
- PackageSlurper
- Prettifier
- PrettifierClass
- ReplUtilities
- RichInputStream
- RichReplString
- RichReplURL
- SinglePrettifierClass
- StringPrettifier
- SymSlurper

c

scala.tools.nsc.interpreter.Power

# SinglePrettifierClass 

###

#### class SinglePrettifierClass[T] extends PrettifierClass[T]

Source
  Power.scala

Linear Supertypes
PrettifierClass[T], AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SinglePrettifierClass
2. PrettifierClass
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new SinglePrettifierClass(single: T)(implicit arg0: Prettifier[T])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from SinglePrettifierClass[T] to any2stringadd[SinglePrettifierClass[T]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (SinglePrettifierClass[T], B)
   Implicit
     This member is added by an implicit conversion from SinglePrettifierClass[T] to ArrowAssoc[SinglePrettifierClass[T]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def >(): Unit
   Definition Classes
     PrettifierClass
7.  def >!(): Unit
   Definition Classes
     PrettifierClass
8.  def >>(implicit ord: Ordering[T]): Unit
   Definition Classes
     PrettifierClass
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
11.  def ensuring(cond: (SinglePrettifierClass[T]) ⇒ Boolean, msg: ⇒ Any): SinglePrettifierClass[T]
    Implicit
      This member is added by an implicit conversion from SinglePrettifierClass[T] to Ensuring[SinglePrettifierClass[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (SinglePrettifierClass[T]) ⇒ Boolean): SinglePrettifierClass[T]
    Implicit
      This member is added by an implicit conversion from SinglePrettifierClass[T] to Ensuring[SinglePrettifierClass[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: ⇒ Any): SinglePrettifierClass[T]
    Implicit
      This member is added by an implicit conversion from SinglePrettifierClass[T] to Ensuring[SinglePrettifierClass[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): SinglePrettifierClass[T]
    Implicit
      This member is added by an implicit conversion from SinglePrettifierClass[T] to Ensuring[SinglePrettifierClass[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
18.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from SinglePrettifierClass[T] to StringFormat[SinglePrettifierClass[T]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
19.  def freq[U](p: (T) ⇒ U): collection.immutable.List[(Int, U)]
    Definition Classes
      PrettifierClass
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
26.  def pp(f: (Seq[T]) ⇒ Seq[T]): Unit
    Definition Classes
      PrettifierClass
27.  val pretty: Prettifier[T]
    Definition Classes
      PrettifierClass
28.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      AnyRef → Any
30.  val value: collection.immutable.List[T]
    Definition Classes
      SinglePrettifierClass → PrettifierClass
31.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  def →[B](y: B): (SinglePrettifierClass[T], B)
    Implicit
      This member is added by an implicit conversion from SinglePrettifierClass[T] to ArrowAssoc[SinglePrettifierClass[T]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from PrettifierClass[T]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from SinglePrettifierClass[T] to any2stringadd[SinglePrettifierClass[T]]

### Inherited by implicit conversion StringFormat from SinglePrettifierClass[T] to StringFormat[SinglePrettifierClass[T]]

### Inherited by implicit conversion Ensuring from SinglePrettifierClass[T] to Ensuring[SinglePrettifierClass[T]]

### Inherited by implicit conversion ArrowAssoc from SinglePrettifierClass[T] to ArrowAssoc[SinglePrettifierClass[T]]

### Ungrouped